package com.huatek.frame.base.service;

import java.util.Map;

import com.huatek.frame.base.entity.ErrLogWithBLOBs;

/**
 * 错误日志service
 * 
 * @author key_dong
 *
 */
public interface ErrLogService {

	/**
	 * 获取错误日志列表
	 * 
	 * @param permission
	 * @param limit
	 * @param page
	 * @return
	 */
	Map<String, Object> findLogPage(ErrLogWithBLOBs log); 
	
	/**
	 * 删除错误日志
	 * @param ids
	 * @return 
	 */
	Map<String, Object> deleteLogs(String[] ids); 

	/**
	 * 查询错误日志对象
	 * @param id
	 * @return
	 */
	Map<String, Object> findLogs(String id);

}
